Subject: x2goclient-4.1.2.2-2020.02.13 crashes on Windows 10

From: "Pedersen, John" <[email-masked]>
Date: Fri, 30 Oct 2020 19:43:28 +0000

Package: x2GoClient
Version: 4.1.2.2-2020.02.13

Summary: The latest version of the Windows x2goclient crashes on the Windows 10 enterprise.
Description: I installed the latest x2goclient on a Windows 10 box (X2GoClient_latest_mswin32-setup.exe).

certutil -hashfile "C:\Users\john\Downloads\X2GoClient_latest_mswin32-setup.exe" md5
MD5 hash of C:\Users\john\Downloads\X2GoClient_latest_mswin32-setup.exe:
8b1ac4cb969d116c9303ab3fafe50a01
CertUtil: -hashfile command completed successfully.

...when I try to establish a session the application crashes.  I do not have any issues when I use an older version of the client (e.g. x2goclient-4.1.2.0-2018.06.22-setup.exe).

Here is the output from Event Viewer > Windows Logs > Application:

<SNIP>
Faulting application name: x2goclient.exe, version: 0.0.0.0, time stamp: 0x057066f0
Faulting module name: ntdll.dll, version: 10.0.19041.546, time stamp: 0xd49544eb
Exception code: 0xc0000005
Fault offset: 0x00085d5c
Faulting process id: 0x2310
Faulting application start time: 0x01d6aeeb128c7123
Faulting application path: C:\Program Files (x86)\x2goclient\x2goclient.exe
Faulting module path: C:\WINDOWS\SYSTEM32\ntdll.dll
Report Id: f5a324c6-d71d-4c15-8664-493947e75922
Faulting package full name: 
Faulting package-relative application ID:
--
Fault bucket 1516194091047313301, type 1
Event Name: APPCRASH
Response: Not available
Cab Id: 0

Problem signature:
P1: x2goclient.exe
P2: 0.0.0.0
P3: 057066f0
P4: ntdll.dll
P5: 10.0.19041.546
P6: d49544eb
P7: c0000005
P8: 00085d5c
P9: 
P10: 
</SNIP>

# Client details
Package: x2GoClient, x2goclient-4.1.2.2-2020.02.13
Version: x2goclient-4.1.2.2-2020.02.13
OS: Windows 10 Enterprise version 20H2
OS build: 19042.572

# Server details
x2goserver OS: CentOS 6.10
x2goserver version: 4.0.1.20
x2goserver release: 1.el6
--
x2goserver-xsession version: 4.0.1.20
x2goserver-xsession release: 1.el6
--
nxagent version     : 3.5.0.32
nxagent release     : 3.el6